CUNY Academic Commons - Bug #2791

Modify yellow profile bar alert
2013-09-12 09:54 PM - Matt Gold

Status: Rejected Start date: 2013-09-12
Priority name: Normal Due date:

Assignee: Chris Stein % Done: 0%
Category name: BuddyPress (misc) Estimated time: 0.00 hour
Target version: 1.5.19

Description

Is there any way to move the "show message" link from the right margin over to the left, right next to the "New CUNY Academic
Commons Profiles"? Think it would make more sense to have these two together.

Also, is there a way to dismiss this or are we just having it stay until we remove it globally? | think it would be good to give users a
chance to delete it permanently if possible.

History

#1 - 2013-09-12 09:55 PM - Matt Gold
- File Screen Shot 2013-09-12 at 9.54.54 PM.png added

#2 - 2013-09-13 02:24 PM - Boone Gorges
- Status changed from Assigned to Reporter Feedback

Is there any way to move the "show message" link from the right margin over to the left, right next to the "New CUNY Academic Commons
Profiles"?
Yes, do you want me to do it?

Also, is there a way to dismiss this or are we just having it stay until we remove it globally?

Yes, how do you want it to work?
#3 - 2013-09-13 02:29 PM - Matt Gold
Happy to hear thoughts from other team members, but he's my take:
Is there any way to move the "show message" link from the right margin over to the left, right next to the "New CUNY Academic Commons
Profiles"?
Yes, do you want me to do it?
Yes, that would be great. (Chris, if you disagree, please speak up)
Also, is there a way to dismiss this or are we just having it stay until we remove it globally?

Yes, how do you want it to work?

I'd just add a "Dismiss this message" link to allow people to shelve it if they choose. | think people will not realize that it only shows up for logged in
users looking at their own profiles and may wonder whether it's visible to non-logged in users.

#4 - 2013-09-13 02:34 PM - Boone Gorges
- Status changed from Reporter Feedback to Assigned

- Assignee changed from Boone Gorges to Chris Stein

Chris, can | ask you to do the following:

1) Confirm Matt's first request

2019-06-19 1/4




2) Do a mockup for how the second one would look
3) Switch the ticket over to me when it's ready for implementation

Thanks!

#5 - 2013-09-13 03:52 PM - Chris Stein

Yes, confirming 1. | want to have a way to dismiss it too and changing the position of show/hide is fine. | might change "hide" to "minimize" or
something to help differentiate it from dismiss. Not at a computer now so I'll get to 2. and 3. later.

#6 - 2013-09-13 09:56 PM - Chris Stein
- File Remove-as-button.png added

- File Remove-as-link.png added

I have two mockups. One is with the remove as a link and one is with it styled like a button.

The link is just adding a normal link with the color #260200 and some padding-top:15px to move it down.

The button uses the button class and then changed the background-color:#a60200 and border color #590100 and | think some padding above to
separate it a bit.

The hide button has two options. One is to change the absolute positioning to top:9px; left:310px;

The other is to move the HTML into the heading. | noticed | didn't actually make it a heading so it would be something like:
<h5>

New CUNY Academic Commons Profiles

<span class="action"><a href="#">Hide Message</a></span>

</h5>

and then give it a padding-left:15px; to move it away from the rest of the heading. This second option may be more friendly with different screen sizes
and resolutions since it doesn't rely on absolute positioning.

Matt can you

1. confirm that the Hide Message is where you were thinking
2. give us a nod as to whether you would rather have the button or link for the remove permanently
3. any changes you want

If you pick one option and don't need any changes then you can assign it to Boone.

#7 - 2013-09-13 10:06 PM - Matt Gold

Thanks so much, Chris. | think that the button is a little too strong. I'd suggest going with Remove-as-link. One thought, though: can we put "hide
message" and "delete permanently next to one another, since they provide proximal functions? I'd move the "hide message" link from its current
position down next to "remove”

#8 - 2013-09-16 08:13 AM - Chris Stein

Hi Matt, sorry | was unavailable this weekend. | thought about moving the hide and delete next to each other but there were a couple of reasons
against. One is that | wanted the show/hide to appear on the same place. The show has to be at the top so you can see it and if you move the hide
down then they would be in different places. Not a deal breaker but it seemed preferable to keep them in the same location. | also worried that it
would be difficult for people on touch screens to do one and not the other. If we do it we would just have to add some extra padding to make sure we
had sufficient spacing between them.

#9 - 2013-09-19 09:02 AM - Boone Gorges

- Target version set to 1.5.3

Time is running very short for the 1.5.3 release (I will not be available for last minute implementation). If we want this to be in 1.5.3, we'll need to
finalize the plan within the next couple hours, so | can implement today.

#10 - 2013-09-19 09:26 AM - Matt Gold

Fine to delay this if needed. And upon reflection, maybe the button (http://redmine.gc.cuny.edu/attachments/download/1086/Remove-as-button.png)
isn't too garish and we should go with it. Chris, can you let us know whether you agree with that decision and whether you have time to send code
today or whether we should boot to the next release? Many thanks.

#11 - 2013-09-21 05:46 PM - Boone Gorges

- Target version changed from 1.5.3 to 1.5.4

#12 - 2013-10-01 08:58 PM - Boone Gorges

- Target version changed from 1.5.4 to 1.5.5
#13 - 2013-10-11 08:21 PM - Boone Gorges

- Target version changed from 1.5.5to 1.5.6

#14 - 2013-10-21 08:50 PM - Boone Gorges

- Target version changed from 1.5.6 to 1.5.7

#15 - 2013-11-01 08:22 PM - Boone Gorges

- Target version changed from 1.5.7 to 1.5.8

#16 - 2013-11-12 01:16 PM - Boone Gorges

- Target version changed from 1.5.8 to 1.5.9

#17 - 2013-11-21 03:34 PM - Boone Gorges
- Target version changed from 1.5.9 to 1.5.10

#18 - 2013-12-01 09:50 PM - Boone Gorges
- Target version changed from 1.5.10to 1.5.11

#19 - 2013-12-11 08:59 PM - Boone Gorges
- Target version changed from 1.5.11 to 1.5.12

#20 - 2013-12-21 07:29 PM - Boone Gorges
- Target version changed from 1.5.12t0 1.5.13

#21 - 2014-01-02 02:54 PM - Boone Gorges
- Target version changed from 1.5.13 to 1.5.14

#22 - 2014-01-12 05:03 PM - Boone Gorges
- Target version changed from 1.5.14 to 1.5.15

#23 - 2014-01-23 07:42 AM - Boone Gorges
- Target version changed from 1.5.15t0 1.5.16

#24 - 2014-02-01 03:37 PM - Boone Gorges
- Target version changed from 1.5.16 to 1.5.17

#25 - 2014-02-11 07:28 PM - Boone Gorges
- Target version changed from 1.5.17 to 1.5.18

#26 - 2014-02-12 03:33 PM - Chris Stein
- File Remove-as-button-v2.png added
- Status changed from Assigned to Reporter Feedback

OK, I think it's time to put this one to bed. Sorry it's taken me so long. I'm attaching a.txt file with some changes to the HTML and CSS to achieve the
layout with Hide Message next to the title (would change to Show Message on click) and a "Remove Message Permanently" button at the bottom.

I'm open to changes but think it's time we allow people to remove this.

Image attached with screenshot as well.

#27 - 2014-02-12 03:34 PM - Chris Stein
- File YellowBarkEdits.txt added

missed the .txt file

#28 - 2014-02-12 03:57 PM - Boone Gorges

- Status changed from Reporter Feedback to Assigned
Hi Chris -

Actually, the alert can already be permanently dismissed. http://redmine.gc.cuny.edu/issues/2976 | apologize for not marking this issue as a duplicate

when #2976 came through.

The change is already in production. Would you take a look to see if it's good enough? | can implement your suggestion if you think it's still necessary.

#29 - 2014-02-20 10:44 PM - Boone Gorges
- Target version changed from 1.5.18 to 1.5.19

#30 - 2014-02-21 03:52 PM - Chris Stein

- Status changed from Assigned to Rejected

OK, no problem. I'm just glad to have the functionality there so folks don't have to see that anymore. It's there, it's working, | don't see a need to do

any more work on it.

Marking as rejected since we went with a similar, but different solution (change to duplicate or resolved if those more appropriate)
